Subject: [Pce] FW: New Version Notification for draft-alvarez-pce-path-profiles-04.txt

From: "Santiago Alvarez (saalvare)" <[email-masked]>
Date: Mon, 10 Nov 2014 18:19:53 +0000

Folks,

We've submitted a new version of draft-alvarez-pce-path-profiles.  Based on previous feedback, we've added details on motivation and some introductory text.  We've also added text on security considerations. Here's a view of the diffs:
https://tools.ietf.org/rfcdiff?url2=draft-alvarez-pce-path-profiles-04.txt 
Your comments are welcome. Thanks.
Cheers.

SA
--

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Sunday, November 09, 2014 9:21 PM
> To: Luis Tomotaki; Siva Sivabalan (msiva); Jeff Tantsura; Siva
> Sivabalan (msiva); Rob Shakir; Santiago Alvarez (saalvare); Rob Shakir;
> Zafar Ali (zali); Victor Lopez; Zafar Ali (zali); Luis Tomotaki; Victor
> Lopez; Santiago Alvarez (saalvare); Jeff Tantsura
> Subject: New Version Notification for draft-alvarez-pce-path-profiles-
> 04.txt
> 
> 
> A new version of I-D, draft-alvarez-pce-path-profiles-04.txt
> has been successfully submitted by Santiago Alvarez and posted to the
> IETF repository.
> 
> Name:		draft-alvarez-pce-path-profiles
> Revision:	04
> Title:		PCE Path Profiles
> Document date:	2014-11-07
> Group:		Individual Submission
> Pages:		13
> URL:            http://www.ietf.org/internet-drafts/draft-alvarez-pce-
> path-profiles-04.txt
> Status:         https://datatracker.ietf.org/doc/draft-alvarez-pce-
> path-profiles/
> Htmlized:       http://tools.ietf.org/html/draft-alvarez-pce-path-
> profiles-04
> Diff:           http://www.ietf.org/rfcdiff?url2=draft-alvarez-pce-
> path-profiles-04
> 
> Abstract:
>    This document describes extensions to the Path Computation Element
>    (PCE) Communication Protocol (PCEP) to signal path profile
>    identifiers.  A profile represents a list of path parameters or
>    policies that a PCEP peer may invoke on a remote peer using an
> opaque
>    identifier.  When a path computation client (PCC) initiates a path
>    computation request, the PCC can signal profile identifiers to
> invoke
>    path parameters or policies defined on the PCE which would influence
>    the path computation.  Similarly, when a PCE initiates or updates a
>    path, the PCE can signal profile identifiers to invoke path
>    parameters or policies defined on the PCC which would influence the
>    path setup.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org.
> 
> The IETF Secretariat

---

From: "Tarek Saad (tsaad)" <[email-masked]>
Date: Tue, 11 Nov 2014 07:38:41 +0000

Hi authors,

Currently, the document proposes a numbered-based ID for the profiles. The
name-based IDs are in practice more favourable in deployment (an example
is the symbolic name for PCE instantiated LSP).
Do you plan to extend the PATH-PROFILE object to carry textual based IDs?
Also, it would be useful to clarify the scope of the PP IDs-- e.g. between
PCEP peer pairs, or global across the network/PCEs..
For example, upon (re)delegation of LSPs from a PCE to alternate PCE, is
the expectation that such PP-IDs can change?

Regards,
Tarek

On 2014-11-10, 8:19 AM, "Santiago Alvarez (saalvare)" <[email-masked]>
wrote:

>Folks,
>
>We've submitted a new version of draft-alvarez-pce-path-profiles.  Based
>on previous feedback, we've added details on motivation and some
>introductory text.  We've also added text on security considerations.
>Here's a view of the diffs:
>_______________________________________________
>Pce mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/pce